package com.ruoyi.nanjing.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

public class QtProduct extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @Excel(name = "班次")
    private String shiftNo;
    @Excel(name = "班组")
    private String groupNo;
    @Excel(name = "投入量")
    private String inputNum;
    @Excel(name = "成品数量")
    private String finNum;
    @Excel(name = "合格品")
    private String okNum;
    @Excel(name = "不合格品")
    private String noNum;
    @Excel(name = "异常")
    private String ero;
    private Date beginTime;
    private Date endTime;
    private String productType;

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }


    public String getShiftNo() {
        return shiftNo;
    }

    public void setShiftNo(String shiftNo) {
        this.shiftNo = shiftNo;
    }

    public String getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    public String getInputNum() {
        return inputNum;
    }

    public void setInputNum(String inputNum) {
        this.inputNum = inputNum;
    }

    public String getFinNum() {
        return finNum;
    }

    public void setFinNum(String finNum) {
        this.finNum = finNum;
    }

    public String getOkNum() {
        return okNum;
    }

    public void setOkNum(String okNum) {
        this.okNum = okNum;
    }

    public String getNoNum() {
        return noNum;
    }

    public void setNoNum(String noNum) {
        this.noNum = noNum;
    }

    public String getEro() {
        return ero;
    }

    public void setEro(String ero) {
        this.ero = ero;
    }
}
